glab(1)

NAME

glab-mr-approve - Approve merge requests.

SYNOPSIS

glab mr approve { | } [flags]

DESCRIPTION

Approve merge requests.

OPTIONS

-s, --sha=""
    SHA, which must match the SHA of the HEAD commit of the merge request.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    $ glab mr approve 235
    $ glab mr approve 123 345
    $ glab mr approve branch-1
    $ glab mr approve branch-2 branch-3

    # Finds open merge request from current branch and approves it
    $ glab mr approve

SEE ALSO

glab-mr(1)